import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class ProjectDto {
  @IsString()
  @IsNotEmpty()
  uuid: string;

  @IsString()
  @IsNotEmpty()
  name: string;

  @IsString()
  @IsOptional()
  public description?: string;
}
