import { Injectable } from '@nestjs/common';
import { DataSource, Repository } from 'typeorm';
import {
  SpaceModelEntity,
  SpaceModelProductAllocationEntity,
  SubspaceModelEntity,
  SubspaceModelProductAllocationEntity,
} from '../entities';

@Injectable()
export class SpaceModelRepository extends Repository<SpaceModelEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceModelEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class SubspaceModelRepository extends Repository<SubspaceModelEntity> {
  constructor(private dataSource: DataSource) {
    super(SubspaceModelEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class SpaceModelProductAllocationRepoitory extends Repository<SpaceModelProductAllocationEntity> {
  constructor(private dataSource: DataSource) {
    super(SpaceModelProductAllocationEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class SubspaceModelProductAllocationRepoitory extends Repository<SubspaceModelProductAllocationEntity> {
  constructor(private dataSource: DataSource) {
    super(
      SubspaceModelProductAllocationEntity,
      dataSource.createEntityManager(),
    );
  }
}
