import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { VisitorPasswordEntity } from '../entities/visitor-password.entity';

@Injectable()
export class VisitorPasswordRepository extends Repository<VisitorPasswordEntity> {
  constructor(private dataSource: DataSource) {
    super(VisitorPasswordEntity, dataSource.createEntityManager());
  }
}
