import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddProductDto {
  @ApiProperty({
    description: 'tuyaCategoryName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public tuyaCategoryName: string;

  @ApiProperty({
    description: 'tuyaProductId',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public tuyaProductId: string;

  @ApiProperty({
    description: 'syncrowProductType',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public syncrowProductType: string;

  @ApiProperty({
    description: 'syncrowProductName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public syncrowProductName: string;
}
