import { ApiProperty } from '@nestjs/swagger';
import { IsOptional } from 'class-validator';
import { PaginationRequestGetListDto } from './pagination.request.dto';

export class PaginationRequestWithSearchGetListDto extends PaginationRequestGetListDto {
  @IsOptional()
  @ApiProperty({
    name: 'search',
    required: false,
    description: 'Search for community or space name',
  })
  search?: string;
}
