import { IsNotEmpty, IsString } from 'class-validator';

export class ProductDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public catName: string;

  @IsString()
  @IsNotEmpty()
  public prodId: string;

  @IsString()
  @IsNotEmpty()
  public prodType: string;
}
