import { DataSource, Repository } from 'typeorm';
import { ProjectEntity } from '../entities';
import { Injectable } from '@nestjs/common';

@Injectable()
export class ProjectRepository extends Repository<ProjectEntity> {
  constructor(private dataSource: DataSource) {
    super(ProjectEntity, dataSource.createEntityManager());
  }
}
