import { SubspaceModelEntity } from '@app/common/modules/space-model';

export interface AddSubspaceModelInterface {
  subspaceModel: SubspaceModelEntity;
}

export interface ProductModelInterface {}

export interface IModifySubspaceModelInterface {
  spaceModelUuid: string;
  new?: AddSubspaceModelInterface[];
  update?: IUpdateSubspaceModelInterface[];
  delete?: IDeletedSubsaceModelInterface[];
}

export interface IModifiedProductItemsModelsInterface {
  delete?: string[];
}

export interface IUpdateSubspaceModelInterface {
  subspaceName?: string;
  uuid: string;
  productModels?: IModifiedProductItemsModelsInterface[];
}

export interface IDeletedSubsaceModelInterface {
  uuid: string;
}

export interface IUpdatedProductModelInterface {
  productModelUuid: string;
  productModifiedItemModel: IModifiedProductItemsModelsInterface;
}

export interface IModifiedProductModelsInterface {
  add?: ProductModelInterface[];
  update?: IUpdatedProductModelInterface[];
  delete?: string[];
}
